#
# spec file for package kpl (Version 2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --touch --nosuseupdate --kde2
Name:         kpl
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Graphical presentation of data sets and functions
Version:      2.2
Release:      115
Source0:      kpl-2.2.tar.bz2
Patch0:       kpl-2.2.dif

%description
kpl is a program for two-dimensional graphical presentation of data sets and functions.
All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen by command line parameters, using the File menu, or by drag and
drop.
Automatic scaling and normalization allow the easy graphical
presentation of data.
The settings of a presentation may be changed using the Edit
menu. Here also additional data sets and functions can be included
which can be displayed in the same as well as in different data
windows.

Authors:
--------
    Werner Stille <stille@uni-freiburg.de>

SuSE series: k2de

%prep
%setup -n kpl-2.2
%patch

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
touch ./configure --reference=./pics/Makefile.am
make

%install
make install

%files
%doc TODO INSTALL ChangeLog COPYING AUTHORS README 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kpl
%dir /opt/kde2/share/apps/kpl/pics
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/ja
%dir /opt/kde2/share/locale/ja/LC_MESSAGES
%dir /opt/kde2/share/locale/pl
%dir /opt/kde2/share/locale/pl/LC_MESSAGES
/opt/kde2/bin/kpl
/opt/kde2/include/kpl_stub.h
/opt/kde2/share/applnk/Applications/kpl.desktop
/opt/kde2/share/apps/kpl/Makefile.fcompl
/opt/kde2/share/apps/kpl/Makefile.fkt
/opt/kde2/share/apps/kpl/demo1.cpp
/opt/kde2/share/apps/kpl/demo1.dat
/opt/kde2/share/apps/kpl/demo1.plo
/opt/kde2/share/apps/kpl/demo1.py
/opt/kde2/share/apps/kpl/demo2.plo
/opt/kde2/share/apps/kpl/demo3.plo
/opt/kde2/share/apps/kpl/demo4.dat
/opt/kde2/share/apps/kpl/demo4.plo
/opt/kde2/share/apps/kpl/demo5.plo
/opt/kde2/share/apps/kpl/demo6.plo
/opt/kde2/share/apps/kpl/demo7.dat
/opt/kde2/share/apps/kpl/demo7.plo
/opt/kde2/share/apps/kpl/demo8.plo
/opt/kde2/share/apps/kpl/fcompl.cpp
/opt/kde2/share/apps/kpl/fcompl.def
/opt/kde2/share/apps/kpl/fcompl.so
/opt/kde2/share/apps/kpl/fkt.c
/opt/kde2/share/apps/kpl/fkt.def
/opt/kde2/share/apps/kpl/fkt.so
/opt/kde2/share/apps/kpl/kpl_stub.cpp
/opt/kde2/share/apps/kpl/kplui.rc
/opt/kde2/share/apps/kpl/kxmlrpcserver-patch
/opt/kde2/share/apps/kpl/pics/checked.png
/opt/kde2/share/apps/kpl/pics/line1.png
/opt/kde2/share/apps/kpl/pics/line2.png
/opt/kde2/share/apps/kpl/pics/line3.png
/opt/kde2/share/apps/kpl/pics/line4.png
/opt/kde2/share/apps/kpl/pics/line5.png
/opt/kde2/share/apps/kpl/pics/line6.png
/opt/kde2/share/apps/kpl/pics/line7.png
/opt/kde2/share/apps/kpl/pics/line8.png
/opt/kde2/share/apps/kpl/pics/line9.png
/opt/kde2/share/apps/kpl/pics/symb0.png
/opt/kde2/share/apps/kpl/pics/symb1.png
/opt/kde2/share/apps/kpl/pics/symb10.png
/opt/kde2/share/apps/kpl/pics/symb11.png
/opt/kde2/share/apps/kpl/pics/symb12.png
/opt/kde2/share/apps/kpl/pics/symb13.png
/opt/kde2/share/apps/kpl/pics/symb14.png
/opt/kde2/share/apps/kpl/pics/symb15.png
/opt/kde2/share/apps/kpl/pics/symb16.png
/opt/kde2/share/apps/kpl/pics/symb2.png
/opt/kde2/share/apps/kpl/pics/symb3.png
/opt/kde2/share/apps/kpl/pics/symb4.png
/opt/kde2/share/apps/kpl/pics/symb5.png
/opt/kde2/share/apps/kpl/pics/symb6.png
/opt/kde2/share/apps/kpl/pics/symb7.png
/opt/kde2/share/apps/kpl/pics/symb8.png
/opt/kde2/share/apps/kpl/pics/symb9.png
/opt/kde2/share/apps/kpl/pics/unchecked.png
/opt/kde2/share/icons/hicolor/48x48/apps/kpl.png
/opt/kde2/share/icons/hicolor/48x48/mimetypes/plo.png
/opt/kde2/share/icons/locolor/16x16/apps/kpl.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/plo.png
/opt/kde2/share/icons/locolor/32x32/apps/kpl.png
/opt/kde2/share/icons/locolor/32x32/mimetypes/plo.png
/opt/kde2/share/locale/de/LC_MESSAGES/kpl.mo
/opt/kde2/share/locale/ja/LC_MESSAGES/kpl.mo
/opt/kde2/share/locale/pl/LC_MESSAGES/kpl.mo
/opt/kde2/share/mimelnk/application/x-plo.desktop

%changelog -n kpl
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Sun Jun 17 2001 - adrian@suse.de
- New version 2.2
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sat Feb 03 2001 - adrian@suse.de
- New version 2.1.1
* Mon Dec 04 2000 - adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libmng
* Fri Sep 22 2000 - adrian@suse.de
- New version 1.2 for KDE 2
* Mon Sep 18 2000 - adrian@suse.de
- New version 1.2
* Mon May 29 2000 - adrian@suse.de
- New version 1.1
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kpl-1.0.tar.gz by autospec
* Fri May 26 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from kpl-1.0.tar.gz by autospec
* Thu Mar 16 2000 - adrian@suse.de
- New version 1.0
* Fri Jan 14 2000 - kettner@suse.de
- New version 0.4
* Tue Oct 19 1999 - kettner@suse.de
- New version 0.3
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - kettner@suse.de
- New version 0.2
* Tue Apr 27 1999 - kettner@suse.de
- Spec file created from kpl-0.1.tar.gz by autospec
